Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class GroovyLangImmutableAstVisitor

- groovy.org.codenarc.rule.groovyism.GroovyLangImmutableAstVisitor

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<String>` | `aliases`
    `boolean` | `groovyTransformIsImported`
    `boolean` | `groovyTransformIsStarImported`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `visitClassComplete(org.codehaus.groovy.ast.ClassNode node)`
    `` | `void` | `visitImports(org.codehaus.groovy.ast.ModuleNode node)`

- - ### Property Detail

    - #### List<String> aliases

    - #### boolean groovyTransformIsImported

    - #### boolean groovyTransformIsStarImported

  - ### Method Detail

    - #### @Override protected void visitClassComplete(org.codehaus.groovy.ast.ClassNode node)

    - #### @Override void visitImports(org.codehaus.groovy.ast.ModuleNode node)